Holger's Java API

## com.antelmann.sql
Interface PropertyEntryMapping

All Superinterfaces:
  TransactionRequired

All Known Implementing Classes:
  PropertyEntryHeaderStore, PropertyEntryTableStore

    public interface PropertyEntryMapping

extends TransactionRequired

provides mapping information for PropertyEntry objects

Since:
  25.01.2009, 02:59:50
Author:
  Holger Antelmann
See Also:
  `PropertyEntryTableStore`

Nested Class Summary
`static class` `PropertyEntryMapping.DetailKey` provides topics for `MappingInfo.getMappingForTopic(Object)` that correspond to the additional mapping information given in the constructor

Method Summary
`void` `deleteAttributeKey(String key)` deletes all property entries with the given key
`Set<String>` `getPropertyKeys()` returns all property keys currently in the database
`Set<?>` `getValuesForProperty(String key)` returns all values for a given property key; if the key is null, all values are returned
`void` `renameAttributeKey(String oldName, String newName)` allows to rename an attribute key; note that only those attribute keys can be renamed where the new attribute key doesn't yet exist
`void` `replaceValuesForKey(String key, String oldValue, String newValue)` replaces all old values for the given key with the new value

Method Detail

### getPropertyKeys

    Set<String> getPropertyKeys()
                                throws SQLException

  returns all property keys currently in the database

  Throws:
    `SQLException`

### getValuesForProperty

    Set<?> getValuesForProperty(String key)
                                throws SQLException

  returns all values for a given property key; if the key is null, all values are returned

  Throws:
    `SQLException`

### renameAttributeKey

    void renameAttributeKey(String oldName,
                            String newName)
                            throws SQLException,
                                   NullPointerException

  allows to rename an attribute key; note that only those attribute keys can be renamed where the new attribute key doesn't yet exist

  Throws:
    `SQLException`
    `NullPointerException`

### deleteAttributeKey

    void deleteAttributeKey(String key)
                            throws SQLException

  deletes all property entries with the given key

  Throws:
    `SQLException`

### replaceValuesForKey

    void replaceValuesForKey(String key,
                             String oldValue,
                             String newValue)
                             throws SQLException

  replaces all old values for the given key with the new value

  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads